Descargar e instalar del software controlador de NI en Linux Desktop

Visión General

A partir de 2018, NI ofrece un nuevo catálogo de soporte para Linux Desktop para una variedad de hardware de pruebas y medidas en la plataforma PXI Express. Con esta versión, ha habido un cambio en la forma en que el software controlador de NI se adquiere e instala en un sistema Linux Desktop. En lugar de proporcionar un script INSTALL ejecutable como en el pasado, NI ahora proporciona un complemento repositorio que se puede descargar y usar para indicar al administrador de paquetes de su distribución de Linux que instale paquetes de software controlador de NI como, NI-DAQmx, NI-VISA , NI-488.2 y NI-Sync. 

  1. Descargue los paquetes de registro del repositorio desde los controladores de dispositivos NI Linux. Consulte el archivo readme para obtener más información sobre qué controladores y versiones de NI se incluyen en cada descarga de controladores de dispositivos NI Linux.
  2. Identifique el archivo .rpm/.deb para su distribución de Linux. Consulte la siguiente tabla para ver qué tipo de paquete de registro del repositorio se adapta mejor a sus necesidades.
     

 Opciones del paquete de registro del repositorio de controladores de dispositivos NI Linux

Los paquetes de registro del repositorio estáticos están etiquetados con un sufijo basado en la fecha, como ni-RHEL7CENTOS7-drivers-2021Q4. El software de este repositorio no está destinado a cambiar y se actualiza únicamente para parches críticos. Utilice este tipo de repositorio cuando necesite reproducir una pila de software específica.

Los paquetes de registro del repositorio de transmisión están etiquetados con un sufijo -stream, por ejemplo: ni-RHEL7CENTOS7-drivers-stream. El software de este repositorio se actualiza periódicamente con las últimas versiones de cada paquete de controladores a medida que se publican. La ejecución de un comando de actualización/actualización con un administrador de paquetes actualizará los paquetes de NI instalados a su última versión publicada para los sistemas que han registrado un repositorio de flujo. Este tipo de repositorio es la forma más sencilla de mantener actualizado el software del controlador de NI.

Firstlook está presente en los nombres de los paquetes de registro del repositorio, por ejemplo, ni-ubuntu2004firstlook-drivers-2021Q3.deb, para identificar un repositorio que no contiene uno o más de los controladores presentes en las otras fuentes. Esto ocurre comúnmente cuando NI añade soporte para una nueva distribución del sistema operativo Linux y hay un período de transición mientras los controladores individuales se agregan o validan gradualmente en esa distribución.

Si planea actualizar a una nueva distribución y ve "firstlook" en el nombre del paquete de registro del repositorio de NI, consulte la tabla de controladores compatibles para asegurarse de que los productos de NI que necesita sean compatibles con la nueva distribución.

  1. Expanda la siguiente sección para que continúe su distribución.

 

Red Hat Enterprise Linux/CentOS

  1. (Recomendado) Aplique las últimas actualizaciones del sistema para evitar problemas de instalación ( aprenda más):
    Nota: esto puede actualizar el kernel de su sistema a la última versión
    sudo yum update

  2. Reinicie el sistema

  3. Instale el archivo de definición del repositorio (consulte la tabla anterior para ayudar a decidir entre los repositorios de flujo y estáticos).
    sudo yum install <.rpm file name>
    Ejemplo:
    sudo yum install ni-software-2020-20.1.0.49152-0+f0.el7.noarch.rpm

  4. Utilice el administrador de paquetes de su distribución para descargar e instalar los paquetes de controlador deseados. Los nombres de los paquetes se pueden encontrar en el archivo readme de los controladores de dispositivos NI Linux. Algunos controladores requieren varios paquetes, así que asegúrese de buscar en el archivo readme para cada controlador que desee instalar.
    sudo yum install <package name>
    Ejemplo (NI-Scope requiere dos paquetes):
    sudo yum install ni-scope
    sudo yum install ni-scope-daqmx

  5. Construya controladores de kernel de NI:
    sudo dkms autoinstall

  6. Reinicie el sistema.

  7. (Opcional) Instale el soporte del controlador para LabVIEW. Los nombres de los paquetes se pueden encontrar en el archivo readme de cada controlador.
    sudo yum install <package name to provide driver support for LabVIEW>
    Ejemplo:
    sudo yum install ni-scope-labview-2020-support

  8. (Opcional) Aumente el límite de iNotify (aprenda más). 

openSUSE

  1. (Recomendado) Aplique las últimas actualizaciones del sistema para evitar problemas de instalación ( aprenda más):
    Nota: esto puede actualizar el kernel de su sistema a la última versión
    sudo zypper update

  2. Reiniciar

  3. Instale el archivo de definición del repositorio (consulte la tabla anterior para ayudar a decidir entre los repositorios de flujo y estáticos):
    sudo zypper --no-gpg-checks install ./<.rpm file name>
    Ejemplo:
    sudo zypper --no-gpg-checks install ./ni-software-2020-20.1.0.49152-0+f0.lp151.noarch

  4. Actualice la lista de paquetes:
    sudo zypper refresh

  5. Utilice el administrador de paquetes de su distribución para descargar e instalar los paquetes de controlador deseados. Los nombres de los paquetes se pueden encontrar en el archivo readme de los controladores de dispositivos NI Linux. Algunos controladores requieren varios paquetes, así que asegúrese de buscar en el archivo readme para cada controlador que desee instalar.
    sudo zypper install <package name>
    Ejemplo (NI-Scope requiere dos paquetes):
    sudo zypper install ni-scope
    sudo zypper install ni-scope-daqmx

  6. Construya controladores de kernel de NI:
    sudo dkms autoinstall

  7. Reinicie el sistema.

  8. (Opcional) Instale el soporte del controlador para LabVIEW. Los nombres de los paquetes se pueden encontrar en el archivo readme de cada controlador.
    sudo zypper install <package name to provide driver support for LabVIEW>
    Ejemplo:
    sudo zypper install ni-scope-labview-2020-support

  9. (Opcional) Aumente el límite de iNotify (aprenda más).

Ubuntu

  1. (Recomendado) Aplique las últimas actualizaciones del sistema para evitar problemas de instalación (aprenda más):
    Nota: esto puede actualizar el kernel de su sistema a la última versión
    sudo apt update
    sudo apt dist-upgrade

  2. Reiniciar

  3. Instale el archivo de definición del repositorio:
    sudo apt install ./<.deb file name>
    Ejemplo:
    sudo apt install ./ni-software-2020-bionic_20.1.0.49152-0+f0_all.deb

  4. Actualice la lista de paquetes:
    sudo apt update

  5. Utilice el administrador de paquetes de su distribución para descargar e instalar los paquetes de controlador deseados. Los nombres de los paquetes se pueden encontrar en el archivo readme de los controladores de dispositivos NI Linux. Algunos controladores requieren varios paquetes, así que asegúrese de buscar en el archivo readme para cada controlador que desee instalar.
    sudo apt install <package name>
    Ejemplo (NI-Scope requiere dos paquetes):
    sudo apt install ni-scope
    sudo apt install ni-scope-daqmx

  6. Construya controladores de kernel de NI:
    sudo dkms autoinstall

  7. Reinicie el sistema.

  8. (Opcional) Aumente el límite de iNotify (aprenda más).

Was this information helpful?

Yes

No